summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMikle Kolyada <zlogene@gentoo.org>2018-11-11 13:36:06 +0300
committerMikle Kolyada <zlogene@gentoo.org>2018-11-11 13:36:06 +0300
commitfbc1ea5de481521975b0cac6f3f6383def360ee5 (patch)
treee551f5a58c84f0c8096b52d176904cc2f1cd2431 /virtual/editor
parentdev-python/pytest-xdist: arm stable wrt bug #668096 (diff)
downloadgentoo-fbc1ea5de481521975b0cac6f3f6383def360ee5.tar.gz
gentoo-fbc1ea5de481521975b0cac6f3f6383def360ee5.tar.bz2
gentoo-fbc1ea5de481521975b0cac6f3f6383def360ee5.zip
virtual/editor: Add GNU moe
Signed-off-by: Mikle Kolyada <zlogene@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
Diffstat (limited to 'virtual/editor')
-rw-r--r--virtual/editor/editor-0-r2.ebuild59
1 files changed, 59 insertions, 0 deletions
diff --git a/virtual/editor/editor-0-r2.ebuild b/virtual/editor/editor-0-r2.ebuild
new file mode 100644
index 00000000000..da0c23ea443
--- /dev/null
+++ b/virtual/editor/editor-0-r2.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="Virtual for editor"
+SLOT="0"
+KEYWORDS="alpha amd64 arm arm64 hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+# Add a package to RDEPEND only if the editor:
+# - can edit ordinary text files,
+# - works on the console,
+# - is a "display" or "visual" editor (e.g., using ncurses).
+
+RDEPEND="|| (
+ app-editors/nano
+ app-editors/dav
+ app-editors/e3
+ app-editors/ee
+ app-editors/efte
+ app-editors/elvis
+ app-editors/emacs
+ app-editors/emacs-vcs
+ app-editors/emact
+ app-editors/ersatz-emacs
+ app-editors/fe
+ app-editors/jasspa-microemacs
+ app-editors/jed
+ app-editors/joe
+ app-editors/jove
+ app-editors/kakoune
+ app-editors/le
+ app-editors/levee
+ app-editors/lpe
+ app-editors/mg
+ app-editors/moe
+ app-editors/ne
+ app-editors/neovim
+ app-editors/ng
+ app-editors/nvi
+ app-editors/qemacs
+ app-editors/teco
+ app-editors/uemacs-pk
+ app-editors/vile
+ app-editors/vim
+ app-editors/gvim
+ app-editors/vis
+ app-editors/xemacs
+ app-editors/zile
+ app-misc/mc[edit]
+ dev-lisp/cmucl
+ mail-client/alpine[-onlyalpine]
+)"
+
+# Packages outside app-editors providing an editor:
+# app-misc/mc: mcedit (#62643)
+# dev-lisp/cmucl: hemlock
+# mail-client/alpine: pico
+# sys-apps/busybox: vi